/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.ikonsol.ctrl;

import java.io.Serializable;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.ejb.EJB;
import javax.faces.view.ViewScoped;
import javax.inject.Named;
import org.primefaces.PrimeFaces;
import sikd.ikonsol.ejb.session.PemdaWilayahEjbHome;
import sikd.ikonsol.model.PemdaWilayah;

/**
 *
 * @author Imam Bhoim
 */
@ViewScoped
@Named(value = "pemdaWilayahBeanCtrl")
public class PemdaWilayahCtrl implements Serializable {
    
     PemdaWilayah pemdawilayah;
    PemdaWilayah obj;
    
    private List<PemdaWilayah> list;

    @EJB
    PemdaWilayahEjbHome pemdawilayahEjbHome;

    @PostConstruct
    public void init() {
       
            //list = pemdawilayahEjbHome.findAll();
        
         
        //obj = periodeEjbHome.findByKode("22");
        //periode = periodeEjbHome.createNew();
        
    }

    public void add() {

        pemdawilayah = pemdawilayahEjbHome.createNew();
        

    }

    public String save() {

        // simpan

//        pemdawilayahEjbHome.save(pemdawilayah);
//
//        PrimeFaces.current().executeScript("PF('wg_entryform1').hide()");
//        PrimeFaces.current().ajax().update(":master:myTabView:dtwilayah");
//        list = pemdawilayahEjbHome.findAll();
//        //this.list = service.findAll();
        return "index?faces-redirect=true";
    }

    public void delete(int id) {
        //obj = service.findByID(Integer.parseInt(id));
        //obj = periodeEjbHome.findByKode(kode);
//        pemdawilayahEjbHome.delete(id);
//        PrimeFaces.current().ajax().update(":master:myTabView:dtwilayah");
//        list = pemdawilayahEjbHome.findAll();
    }
    
     public void listkode(int id) {
         System.out.println("Wilayah Id : " + id);
        list = pemdawilayahEjbHome.findListById(id);
        
    }

    public PemdaWilayah getPemdawilayah() {
        return pemdawilayah;
    }

    public void setPemdawilayah(PemdaWilayah pemdawilayah) {
        this.pemdawilayah = pemdawilayah;
    }

    public PemdaWilayah getObj() {
        return obj;
    }

    public void setObj(PemdaWilayah obj) {
        this.obj = obj;
    }

    public List<PemdaWilayah> getList() {
        return list;
    }

    public void setList(List<PemdaWilayah> list) {
        this.list = list;
    }

    public PemdaWilayahEjbHome getPemdawilayahEjbHome() {
        return pemdawilayahEjbHome;
    }

    public void setPemdawilayahEjbHome(PemdaWilayahEjbHome pemdawilayahEjbHome) {
        this.pemdawilayahEjbHome = pemdawilayahEjbHome;
    }
    
    
}
